package com.example.zadaniekwiaciarnia;

import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.widget.ArrayAdapter;
import android.widget.Button;
import android.widget.CheckBox;
import android.widget.EditText;
import android.widget.RadioButton;
import android.widget.RadioGroup;
import android.widget.Spinner;
import android.widget.Toast;

import androidx.activity.EdgeToEdge;
import androidx.appcompat.app.AppCompatActivity;
import androidx.core.graphics.Insets;
import androidx.core.view.ViewCompat;
import androidx.core.view.WindowInsetsCompat;

import java.util.ArrayList;

public class WlasnaWiazanka extends AppCompatActivity {
    Spinner spinnerKwiaty;
    EditText ilosc;
    CheckBox wstazka;
    RadioGroup opakowania;
    RadioButton papier, folia;
    Button wycena;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        EdgeToEdge.enable(this);
        setContentView(R.layout.activity_wlasne_wianki);

        spinnerKwiaty = findViewById(R.id.spinner_kwiaty);
        ilosc = findViewById(R.id.ilosc);
        wstazka = findViewById(R.id.wstazka);
        opakowania = findViewById(R.id.opakowania);
        papier = findViewById(R.id.radio_papier);
        folia = findViewById(R.id.radio_folia);
        wycena = findViewById(R.id.btn_wycena);

        ViewCompat.setOnApplyWindowInsetsListener(findViewById(R.id.wiazankiMains), (v, insets) -> {
            Insets systemBars = insets.getInsets(WindowInsetsCompat.Type.systemBars());
            v.setPadding(systemBars.left, systemBars.top, systemBars.right, systemBars.bottom);
            return insets;
        });

        ArrayList<String> kwiaty = new ArrayList<>();
        kwiaty.add("Róża");
        kwiaty.add("Tulipan");
        kwiaty.add("Goździki");
        kwiaty.add("Lilie");
        kwiaty.add("Frezje");

        ArrayAdapter<String> adapter = new ArrayAdapter<>(this, android.R.layout.simple_spinner_item, kwiaty);
        adapter.setDropDownViewResource(android.R.layout.simple_spinner_dropdown_item);
        spinnerKwiaty.setAdapter(adapter);

        wycena.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {String iloscStr = ilosc.getText().toString();
                if (iloscStr.isEmpty()) {
                    Toast.makeText(WlasnaWiazanka.this, "Wpisz ilość!", Toast.LENGTH_SHORT).show();
                    return;
                }

                String kwiat = spinnerKwiaty.getSelectedItem().toString();
                int liczba = Integer.parseInt(iloscStr);
                float cenaKoncowa = 0;
                boolean testWstazki=true;

                switch (kwiat) {
                    case "Róża":     cenaKoncowa = 10.0f * liczba; break;
                    case "Tulipan":  cenaKoncowa = 5.0f * liczba;  break;
                    case "Goździki": cenaKoncowa = 4.5f * liczba;  break;
                    case "Lilie":    cenaKoncowa = 12.0f * liczba; break;
                    case "Frezje":   cenaKoncowa = 7.0f * liczba;  break;
                }

                if (wstazka.isChecked()) {
                    testWstazki = true;
                    cenaKoncowa += 5.0f;
                }
                else {
                    testWstazki=false;
                }

                String opakowanieRodzaj = "";
                if (papier.isChecked()) {
                    opakowanieRodzaj = "Papier";
                } else if (folia.isChecked()) {
                    opakowanieRodzaj = "Folia";
                    cenaKoncowa += 2.0f;
                }

                Intent intent = new Intent(WlasnaWiazanka.this, Wycena.class);
                intent.putExtra("CENA", cenaKoncowa);
                intent.putExtra("KWIAT", kwiat);
                intent.putExtra("ILOSC", liczba);
                intent.putExtra("OPAKOWANIE", opakowanieRodzaj);
                intent.putExtra("WSTAZKA", testWstazki);

                startActivity(intent);
            }
        });
    }
}